Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Sat, 18 May 2024 13:18:22 +0200

> I think before you do that it would be better to rebuild Emacs without
> optimizations.  That is,
> (..)
> And then see if you can reproduce the crashes.  If the unoptimized
> build doesn't crash, try next with -O1 instead of -O0.

-O0 gives the same zero stacktrace:

    system-configuration-options is a variable defined in emacs.c.

    Value
    "--prefix=/d/tmp/emacs-bug-70914/emacs-no-native-compilation-o0/simendsjo-build
--with-modules --without-dbus --without-native-compilation
--without-compress-install --with-sqlite3 --with-tree-sitter
'CFLAGS=-O0 -gdwarf-4 -g3 -Wno-error=implicit-function-declaration'"

    Thread 1 received signal SIGSEGV, Segmentation fault.
    0x0000000000000000 in ?? ()
    (gdb) info target
    Symbols from
"d:\tmp\emacs-bug-70914\emacs-no-native-compilation-o0\simendsjo-build\bin\emacs.exe".
    Native process:
            Using the running image of child process 6480.
            While running this, GDB does not access memory from...
    Local exec file:
            `d:\tmp\emacs-bug-70914\emacs-no-native-compilation-o0\simendsjo-build\bin\emacs.exe',
file type pei-x86-64.

On Fri, May 17, 2024 at 8:38 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Simen Endsjø <[email-masked]>
> > Date: Fri, 17 May 2024 20:05:48 +0200
> > Cc: [email-masked], [email-masked]
> >
> > So yes, I get the same crashes with the same zero stacktraces on
> > --without-native-compilation / --with-native-compilation=no (with and without
> > no_native=true).
>
> And you sure you are running the binary you built, not the one
> installed previously that you downloaded from the GNU FTP site?
> (Sorry for asking the obvious, but it's better to err on the safe side
> in this complicated story.)
>
> > I'll see if I can create a smaller example which I can share as I cannot share
> > my entire config.
>
> I think before you do that it would be better to rebuild Emacs without
> optimizations.  That is,
>
>   CFLAGS='-O0 -gdwarf-4 -g3' ./configure ...
>   make
>
> (Replace "..." with the configure options you used for the optimized
> build.)
>
> And then see if you can reproduce the crashes.  If the unoptimized
> build doesn't crash, try next with -O1 instead of -O0.